## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global forgeurl https://github.com/BenHanson/lexertl14
%global commit cd5a1f13f4d5d50da9475a91b837f196b34f5e7b

Name:           lexertl14
Summary:        C++14 version of lexertl
Version:        0.1.0
%forgemeta
Release:        %autorelease

URL:            %{forgeurl}
License:        Boost

Source0:        %{forgesource}
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  dos2unix

# No compiled binaries are installed, so this would be empty.
%global debug_package %{nil}

%global common_description %{expand:
lexertl is a header-only library for writing lexical analysers. With lexertl
you can:

  • Build lexical analysers at runtime
  • Scan Unicode and ASCII input
  • Scan from files or memory
  • Generate C++ code or even write your own code generator}

%description %{common_description}


%package devel
Summary:        %{summary}

# Header-only library:
Provides:       lexertl14-static = %{version}-%{release}

%description devel %{common_description}


%package examples
Summary:        Examples for lexertl14
BuildArch:      noarch

%description examples
%{summary}.


%prep
%forgeautosetup
# Adapt to multilib:
sed -r -i 's@(DESTINATION )lib\b@\1%{_libdir}@' CMakeLists.txt
# Fix line terminations (particularly for files that may be installed)
find . -type f -exec file '{}' '+' |
  grep -E '\bCRLF\b' |
  cut -d ':' -f 1 |
  xargs -r dos2unix


%build
%cmake -DBUILD_TESTING=on
%cmake_build


%install
%cmake_install


%check
%ctest


%files devel
%license include/lexertl/licence_1_0.txt
%doc README.md

%{_includedir}/lexertl

%{_libdir}/cmake/lexertl


%files examples
%license include/lexertl/licence_1_0.txt
%doc examples/*


%changelog
* Mon Feb 28 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.1.0-6
- Update to cd5a1f1 (Unicode 15)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 22 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.1.0-4
- Update to 2ea71b8

* Tue Dec 14 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.1.0-3
- Dep. on cmake-filesystem is now auto-generated

* Fri Nov 19 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.1.0-2
- Update to commit 488602f

* Wed Aug 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.1.0-1
- Initial package
